import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:qyuota/controller/splash_controller.dart';
import 'package:qyuota/config/images.dart';

class SplashScreen extends StatefulWidget {
  const SplashScreen({Key? key}) : super(key: key);

  @override
  State<SplashScreen> createState() => _SplashScreenState();
}

class _SplashScreenState extends State<SplashScreen> {
  final splashController = Get.put(SplashController());

  @override
  void initState() {
    super.initState();
    splashController.customInit();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Container(
        height: Get.height,
        width: Get.width,
        decoration: const BoxDecoration(
          image: DecorationImage(
            image: AssetImage(DefaultImages.splashBg),
            fit: BoxFit.cover,
          ),
        ),
      ),
    );
  }
}
